Celena BETA 017 released

The first BETA was released for Celena. The Community already started to give feedback. So far one major bug has been found:

You can’t have Firefox in any other language than English. Installing another locale requires packages which conflict with Firefox > 2.0.999. Because of dependencies this also affects AptOnCD and a few other packages.

The team is repackaging Firefox for it to go from version 2006-mint1 to 2.0.06-mint1 and become compatible with these packages.